import { DefaultBlockSchema } from "@blocknote/core";
import { TableHandleMenuProps } from "../TableHandleMenu";
export declare const AddRowButton: <BSchema extends {
    table: DefaultBlockSchema["table"];
}>(props: TableHandleMenuProps<BSchema> & {
    side: "above" | "below";
}) => import("react/jsx-runtime").JSX.Element;
export declare const AddColumnButton: <BSchema extends {
    table: DefaultBlockSchema["table"];
}>(props: TableHandleMenuProps<BSchema> & {
    side: "left" | "right";
}) => import("react/jsx-runtime").JSX.Element;
export declare const AddButton: <BSchema extends {
    table: DefaultBlockSchema["table"];
}>(props: TableHandleMenuProps<BSchema> & ({
    orientation: "row";
    side: "above" | "below";
} | {
    orientation: "column";
    side: "left" | "right";
})) => import("react/jsx-runtime").JSX.Element;
